#! /bin/bash

#!/bin/bash 
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  #
#			  Última actualización: 28-Jul-2011		    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 

############################################################################# 
#                G Radio - Versión 1.0 - Némesis pre-alfa                   # 
#                                 Enero 2016                                #
############################################################################# 

sudo apt-get --force-yes install mplayer2 
sudo apt-get --force-yes install mplayer-gui 
sudo apt-get --force-yes install mpg321 
sudo apt-get --force-yes install ffmpeg2theora
#sudo apt-get --force-yes install ffmpeg
#avconv es el fork de ffmpeg de la libreria libav-tools
sudo apt-get --force-yes install avconv
sudo apt-get --force-yes install ffmpeg
sudo apt-get --force-yes install libav-tools
sudo apt-get --force-yes install xterm

sudo apt-get --force-yes install sox 
sudo apt-get --force-yes install libsox-fmt-all 
sudo apt-get --force-yes install gambas3
sudo apt-get --force-yes install gedit
sudo apt-get --force-yes install pavumeter
sudo apt-get --force-yes install at
sudo apt-get --force-yes install imagemagick

sudo cp ../mplayer/*png /usr/share/mplayer/skins/clearplayer
cp -R ../.mplayer/ ~/

mkdir ~/.gradio
mkdir ~/"G Radio"
mkdir ~/"G Radio"/musica
mkdir ~/"G Radio"/comerciales
mkdir ~/"G Radio"/efectos
mkdir ~/"G Radio"/avances
mkdir ~/"G Radio"/fin-espacio-pub
mkdir ~/"G Radio"/inicio-espacio-pub
mkdir ~/"G Radio"/logo
mkdir ~/"G Radio"/Intercultural
cp -R ../bin ~/.gradio
cp -R ../data ~/.gradio
mkdir ~/.gradio/img
mkfifo ~/.gradio/data/tmp/slave.txt
mkfifo ~/.gradio/data/tmp/logo.fifo
cp  ../instalar/*png  ~/.gradio/img
cp  ../comerciales/* ~/"G Radio"/comerciales/
cp  ../efectos/* ~/"G Radio"/efectos/
cp  -R ../fin-espacio-pub/* ~/"G Radio"/fin-espacio-pub/
cp  -R ../inicio-espacio-pub/* ~/"G Radio"/inicio-espacio-pub/
cp  -R ../logo/* ~/"G Radio"/logo/
cp  -R ../Intercultural/* ~/"G Radio"/Intercultural/

usuario=`whoami`
touch ~/Escritorio/"G Radio".desktop
echo "#!/usr/bin/env xdg-open" > ~/Escritorio/"G Radio".desktop

echo "[Desktop Entry]" >> ~/Escritorio/"G Radio".desktop
echo "Version=1.0" >> ~/Escritorio/"G Radio".desktop
echo "Type=Application" >> ~/Escritorio/"G Radio".desktop
echo "Terminal=false" >> ~/Escritorio/"G Radio".desktop
echo "Icon[es_EC]=/home/$usuario/.gradio/img/gradio.png" >> ~/Escritorio/"G Radio".desktop
echo "Name[es_EC]=G Radio" >> ~/Escritorio/"G Radio".desktop
echo "Exec=/home/$usuario/.gradio/bin/lanzador.sh" >> ~/Escritorio/"G Radio".desktop
echo "Comment[es_EC]=G Radio" >> ~/Escritorio/"G Radio".desktop
echo "Name=G Radio" >> ~/Escritorio/"G Radio".desktop
echo "Comment=G Radio" >> ~/Escritorio/"G Radio".desktop
echo "Icon=/home/$usuario/.gradio/img/gradio.png" >> ~/Escritorio/"G Radio".desktop
echo "Categories=AudioVideo;Audio" >> ~/Escritorio/"G Radio".desktop
chown -R $usuario:$usuario ~/.gradio
chmod -R 755 ~/.gradio
chmod 755 ~/Escritorio/"G Radio".desktop
cp ~/Escritorio/"G Radio".desktop ~/.local/share/applications/"G Radio".desktop
zenity --error --title="Advertencia" --text "Es recomendable que instale YAD manualmente (http://sourceforge.net/projects/yad-dialog/), que tiene la opción incorporada de búsqueda de archivos" 

zenity --info --text 'Ha concluido el proceso de instalar GR, para ejecutar Gradio haga doble click en el ícono G en su escritorio'

